Bug 134362 - patterns in %files list no longer match dangling symlinks
patterns in %files list no longer match dangling symlinks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 13:45 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 17:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original fix (2.39 KB, patch)
2004-12-22 13:24 EST, Paul Nasrat
no flags Details | Diff
Test Spec file (575 bytes, text/plain)
2004-12-29 13:21 EST, Paul Nasrat
no flags Details

  None (edit)
Description Nalin Dahyabhai 2004-10-01 13:45:49 EDT
In glibc 2.3.3-61 and later, glob() no longer returns the names of
dangling symlinks (apparently as a consequence of fixing bug #126460).

This has caused setuptool (which installs a link from /usr/bin/setup
to 'consolehelper', but which doesn't actually supply
/usr/bin/consolehelper) to fail to rebuild, and may affect other
packages.  It can be worked-around on a package-by-package basis by
not using a glob pattern, but this change may confuse people.
Comment 1 Jeff Johnson 2004-10-01 14:28:42 EDT
Ick. Any chance that glibc has retrofitted a new flag to glob
to follow links? I'll look, don't bother.

rpm has internal glob ready and waiting for use if glibc insists
on being pedantically correct.
Comment 2 Jeff Johnson 2004-10-05 17:09:11 EDT
Fixed (by always using internal glob) in rpm-4.3.2-9.
Comment 4 Paul Nasrat 2004-12-22 13:24:59 EST
Created attachment 109034 [details]
Original fix
Comment 7 Jos Vos 2004-12-29 09:48:51 EST
RHEL3 U4 does still have this bug, as there rpm-4.2.3-13 is included
that does not have this fix, while the behavior of glibc in RHEL3 is
changed by an updated glibc package.

Should this ticket be reopened, and maybe also changed to RHEL3, or
should a new ticket be opened for this?  On RHEL3 U4 it is currently
not possible to create rpm's in a reliable way, which is not a good thing.
Comment 8 Paul Nasrat 2004-12-29 13:21:56 EST
Created attachment 109168 [details]
Test Spec file

Simple test case.
Comment 9 Paul Nasrat 2004-12-29 13:31:21 EST
For FC2 upcoming update rpm-4.3.1-0.4.1, RHEL users stay tuned for further updates 
Comment 16 Paul Nasrat 2005-04-07 03:57:38 EDT
This is scheduled for U5
Comment 17 Dennis Gregorovic 2005-05-18 10:45:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-147.html

Note You need to log in before you can comment on or make changes to this bug.